com.amazonaws.services.codecommit.model

## Class RepositoryMetadata

- java.lang.Object
- - com.amazonaws.services.codecommit.model.RepositoryMetadata

All Implemented Interfaces:
  Serializable, Cloneable

    public class RepositoryMetadata
    extends Object
    implements Serializable, Cloneable

Information about a repository.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RepositoryMetadata()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RepositoryMetadata` `clone()`
`boolean` `equals(Object obj)`
`String` `getAccountId()` The ID of the AWS account associated with the repository.
`String` `getArn()` The Amazon Resource Name (ARN) of the repository.
`String` `getCloneUrlHttp()` The URL to use for cloning the repository over HTTPS.
`String` `getCloneUrlSsh()` The URL to use for cloning the repository over SSH.
`Date` `getCreationDate()` The date and time the repository was created, in timestamp format.
`String` `getDefaultBranch()` The repository's default branch name.
`Date` `getLastModifiedDate()` The date and time the repository was last modified, in timestamp format.
`String` `getRepositoryDescription()` A comment or description about the repository.
`String` `getRepositoryId()` The ID of the repository.
`String` `getRepositoryName()` The repository's name.
`int` `hashCode()`
`void` `setAccountId(String accountId)` The ID of the AWS account associated with the repository.
`void` `setArn(String arn)` The Amazon Resource Name (ARN) of the repository.
`void` `setCloneUrlHttp(String cloneUrlHttp)` The URL to use for cloning the repository over HTTPS.
`void` `setCloneUrlSsh(String cloneUrlSsh)` The URL to use for cloning the repository over SSH.
`void` `setCreationDate(Date creationDate)` The date and time the repository was created, in timestamp format.
`void` `setDefaultBranch(String defaultBranch)` The repository's default branch name.
`void` `setLastModifiedDate(Date lastModifiedDate)` The date and time the repository was last modified, in timestamp format.
`void` `setRepositoryDescription(String repositoryDescription)` A comment or description about the repository.
`void` `setRepositoryId(String repositoryId)` The ID of the repository.
`void` `setRepositoryName(String repositoryName)` The repository's name.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RepositoryMetadata` `withAccountId(String accountId)` The ID of the AWS account associated with the repository.
`RepositoryMetadata` `withArn(String arn)` The Amazon Resource Name (ARN) of the repository.
`RepositoryMetadata` `withCloneUrlHttp(String cloneUrlHttp)` The URL to use for cloning the repository over HTTPS.
`RepositoryMetadata` `withCloneUrlSsh(String cloneUrlSsh)` The URL to use for cloning the repository over SSH.
`RepositoryMetadata` `withCreationDate(Date creationDate)` The date and time the repository was created, in timestamp format.
`RepositoryMetadata` `withDefaultBranch(String defaultBranch)` The repository's default branch name.
`RepositoryMetadata` `withLastModifiedDate(Date lastModifiedDate)` The date and time the repository was last modified, in timestamp format.
`RepositoryMetadata` `withRepositoryDescription(String repositoryDescription)` A comment or description about the repository.
`RepositoryMetadata` `withRepositoryId(String repositoryId)` The ID of the repository.
`RepositoryMetadata` `withRepositoryName(String repositoryName)` The repository's name.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RepositoryMetadata

    public RepositoryMetadata()

### Method Detail

#### setAccountId

    public void setAccountId(String accountId)

The ID of the AWS account associated with the repository.

Parameters:
  `accountId` - The ID of the AWS account associated with the repository.

#### getAccountId

    public String getAccountId()

The ID of the AWS account associated with the repository.

Returns:
  The ID of the AWS account associated with the repository.

#### withAccountId

    public RepositoryMetadata withAccountId(String accountId)

The ID of the AWS account associated with the repository.

Parameters:
  `accountId` - The ID of the AWS account associated with the repository.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRepositoryId

    public void setRepositoryId(String repositoryId)

The ID of the repository.

Parameters:
  `repositoryId` - The ID of the repository.

#### getRepositoryId

    public String getRepositoryId()

The ID of the repository.

Returns:
  The ID of the repository.

#### withRepositoryId

    public RepositoryMetadata withRepositoryId(String repositoryId)

The ID of the repository.

Parameters:
  `repositoryId` - The ID of the repository.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRepositoryName

    public void setRepositoryName(String repositoryName)

The repository's name.

Parameters:
  `repositoryName` - The repository's name.

#### getRepositoryName

    public String getRepositoryName()

The repository's name.

Returns:
  The repository's name.

#### withRepositoryName

    public RepositoryMetadata withRepositoryName(String repositoryName)

The repository's name.

Parameters:
  `repositoryName` - The repository's name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRepositoryDescription

    public void setRepositoryDescription(String repositoryDescription)

A comment or description about the repository.

Parameters:
  `repositoryDescription` - A comment or description about the repository.

#### getRepositoryDescription

    public String getRepositoryDescription()

A comment or description about the repository.

Returns:
  A comment or description about the repository.

#### withRepositoryDescription

    public RepositoryMetadata withRepositoryDescription(String repositoryDescription)

A comment or description about the repository.

Parameters:
  `repositoryDescription` - A comment or description about the repository.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDefaultBranch

    public void setDefaultBranch(String defaultBranch)

The repository's default branch name.

Parameters:
  `defaultBranch` - The repository's default branch name.

#### getDefaultBranch

    public String getDefaultBranch()

The repository's default branch name.

Returns:
  The repository's default branch name.

#### withDefaultBranch

    public RepositoryMetadata withDefaultBranch(String defaultBranch)

The repository's default branch name.

Parameters:
  `defaultBranch` - The repository's default branch name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastModifiedDate

    public void setLastModifiedDate(Date lastModifiedDate)

The date and time the repository was last modified, in timestamp format.

Parameters:
  `lastModifiedDate` - The date and time the repository was last modified, in timestamp format.

#### getLastModifiedDate

    public Date getLastModifiedDate()

The date and time the repository was last modified, in timestamp format.

Returns:
  The date and time the repository was last modified, in timestamp format.

#### withLastModifiedDate

    public RepositoryMetadata withLastModifiedDate(Date lastModifiedDate)

The date and time the repository was last modified, in timestamp format.

Parameters:
  `lastModifiedDate` - The date and time the repository was last modified, in timestamp format.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreationDate

    public void setCreationDate(Date creationDate)

The date and time the repository was created, in timestamp format.

Parameters:
  `creationDate` - The date and time the repository was created, in timestamp format.

#### getCreationDate

    public Date getCreationDate()

The date and time the repository was created, in timestamp format.

Returns:
  The date and time the repository was created, in timestamp format.

#### withCreationDate

    public RepositoryMetadata withCreationDate(Date creationDate)

The date and time the repository was created, in timestamp format.

Parameters:
  `creationDate` - The date and time the repository was created, in timestamp format.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCloneUrlHttp

    public void setCloneUrlHttp(String cloneUrlHttp)

The URL to use for cloning the repository over HTTPS.

Parameters:
  `cloneUrlHttp` - The URL to use for cloning the repository over HTTPS.

#### getCloneUrlHttp

    public String getCloneUrlHttp()

The URL to use for cloning the repository over HTTPS.

Returns:
  The URL to use for cloning the repository over HTTPS.

#### withCloneUrlHttp

    public RepositoryMetadata withCloneUrlHttp(String cloneUrlHttp)

The URL to use for cloning the repository over HTTPS.

Parameters:
  `cloneUrlHttp` - The URL to use for cloning the repository over HTTPS.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCloneUrlSsh

    public void setCloneUrlSsh(String cloneUrlSsh)

The URL to use for cloning the repository over SSH.

Parameters:
  `cloneUrlSsh` - The URL to use for cloning the repository over SSH.

#### getCloneUrlSsh

    public String getCloneUrlSsh()

The URL to use for cloning the repository over SSH.

Returns:
  The URL to use for cloning the repository over SSH.

#### withCloneUrlSsh

    public RepositoryMetadata withCloneUrlSsh(String cloneUrlSsh)

The URL to use for cloning the repository over SSH.

Parameters:
  `cloneUrlSsh` - The URL to use for cloning the repository over SSH.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setArn

    public void setArn(String arn)

The Amazon Resource Name (ARN) of the repository.

Parameters:
  `arn` - The Amazon Resource Name (ARN) of the repository.

#### getArn

    public String getArn()

The Amazon Resource Name (ARN) of the repository.

Returns:
  The Amazon Resource Name (ARN) of the repository.

#### withArn

    public RepositoryMetadata withArn(String arn)

The Amazon Resource Name (ARN) of the repository.

Parameters:
  `arn` - The Amazon Resource Name (ARN) of the repository.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RepositoryMetadata clone()

Overrides:
  `clone` in class `Object`